definitions:
  RareDiseaseVariationClassification:
    type: object
    additionalProperties: false
    required:
      - classification
      - evidence
    properties:
      classification:
        title: ACMG Classification
        $ref: '../../core.json#/definitions/ACMGPlusNegativeClassification'
      evidence:
        title: Evidence
        type: array
        items:
          type: string
      genetic_event:
        title: Genetic Event
        $ref: '../../core.json#/definitions/GeneticEventType'
      chromosome_region:
        title: Chromosome Region
        $ref: '../../core.json#/definitions/ChromosomeRegion'
      cytoband:
        title: Cytoband
        $ref: '../../core.json#/definitions/Cytoband'
      iscn_nomenclature:
        title: ISCN Nomenclature
        $ref: '../../core.json#/definitions/ISCNNomenclature'
      size_mb:
        title: Size (mb)
        type: number
      number_of_genes:
        title: No. Genes
        type: integer
      genetic_location:
        type: object
        properties:
          gene_symbol:
            type: string
          variation:
            type: object
            properties:
              display:
                type: string
              hgvs_g:
                type: string
              hgvs_t:
                type: [ "string", "null" ]
              hgvs_p:
                type: [ "string", "null" ]
              chromosome_region:
                type: string
      phenotype:
        type: object
        properties:
          evidence_summary:
            type: string
      inheritance:
        type: object
        properties:
          pattern:
            type: string
          mode:
            type: string
          zygosity:
            type: string
      variant:
        type: object
        properties:
          description:
            type: string
          details:
            type: object
            properties:
              display:
                type: string
              hgvs_g:
                type: string
              hgvs_t:
                type: [ "string", "null" ]
              hgvs_p:
                type: [ "string", "null" ]
              chromosome_region:
                type: string
      gene_info:
        type: string